Skip to main content
PUT
/
update
/
{updateid}
Update a changelog update
curl --request PUT \
  --url https://api.sleekplan.com/v1/update/{updateid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "description": "<string>",
  "type": "<string>",
  "segment": "<string>",
  "created": "2023-12-25",
  "settings": {
    "link": "<string>",
    "link_text": "<string>",
    "link_color": "<string>"
  },
  "draft": true,
  "notify": true,
  "notify_delay": true,
  "announcement": true
}
'
{
  "status": "<string>",
  "data": {
    "changelog_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sleekplan.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

updateid
string
required

Body

application/json
title
string
description
string
type
string
segment
string
created
string<date>
settings
object
draft
boolean
notify
boolean
notify_delay
boolean
announcement
boolean

Response

200 - application/json

OK

status
string
data
object